petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCSPAISetSp

specify a symmetric matrix sparsity pattern in the SPAI preconditioner

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCSPAISetSp(PC pc,int sp)

### Input Parameters

| pc | - the preconditioner Many br
| n | - 0 or 1 Many br

Notes: If A has a symmetric nonzero pattern use -sp 1 to Many brimprove performance by eliminating some communication Many brin the parallel version. Even if A does not have a Many brsymmetric nonzero pattern -sp 1 may well lead to good Many brresults, but the code will not follow the published Many brSPAI algorithm exactly. Many br

Many br

### See Also

PCSPAI, PCSetType()

Level:intermediate
Location:src/ksp/pc/impls/spai/ispai.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages